package com.nisum.mytime.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.nisum.mytime.exception.handler.MyTimeException;
import com.nisum.mytime.model.Skill;
import com.nisum.mytime.repository.SkillRepo;
import com.nisum.mytime.service.ISkillService;

import lombok.extern.slf4j.Slf4j;

@Service
@Slf4j
public class SkillService implements ISkillService {

	@Autowired
	private SkillRepo technologyRepo;

	@Override
	public List<Skill> getTechnologies() throws MyTimeException {
		return technologyRepo.findAll();
	}
}
